Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.properties.domain
Class OWLDomainTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.properties.domain.OWLDomainTableModel

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, Serializable, TableModel

    public class OWLDomainTableModel

extends AbstractTableModel
implements edu.stanford.smi.protege.util.Disposable

A simple TableModel to list the domain of an RDFProperty.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`OWLDomainTableModel(RDFProperty property)`

Method Summary
`void` | `dispose()`
`Class` | `getColumnClass(int columnIndex)`
`int` | `getColumnCount()`
`int` | `getRowCount()`
`RDFProperty` | `getSlot()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`boolean` | `isInherited(edu.stanford.smi.protege.model.Cls cls)`
`void` | `setSlot(RDFProperty newProperty)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnName, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLDomainTableModel

    public OWLDomainTableModel(RDFProperty property)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getColumnClass

    public Class getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getSlot

    public RDFProperty getSlot()

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

  Specified by:
    `getValueAt` in interface `TableModel`

### isInherited

    public boolean isInherited(edu.stanford.smi.protege.model.Cls cls)

### setSlot

    public void setSlot(RDFProperty newProperty)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.